%define module_name upfiles
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(File/Slurp.pm) perl(File/Spec/Unix.pm) perl(File/Temp.pm) perl(File/chdir.pm) perl(File/stat.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(HTML/Entities/Interpolate.pm) perl(HTML/Parser.pm) perl(Hash/Util/FieldHash.pm) perl(IO/Socket/SSL.pm) perl(List/Util.pm) perl(Locale/TextDomain.pm) perl(Math/Round.pm) perl(Module/Load.pm) perl(Net/Cmd.pm) perl(Net/FTP.pm) perl(Net/Netrc.pm) perl(Net/SFTP/Foreign.pm) perl(Pod/Simple/HTML.pm) perl(Regexp/Common.pm) perl(Regexp/Common/Emacs.pm) perl(Regexp/Tr.pm) perl(Scalar/Util.pm) perl(Smart/Comments.pm) perl(Sort/Key/Natural.pm) perl(Symbol.pm) perl(Tie/StdHandle.pm) perl(Time/HiRes.pm) perl(Time/Local.pm)
BuildRequires: perl(URI.pm) perl(base.pm) perl(sort.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 12
Release: alt1
Summary: Upload files to a remote FTP server.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/upfiles/index.html

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KR/KRYDE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use App::Upfiles;. exit App::Upfiles->command_line;

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc COPYING Changes
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sun Oct 29 2017 Igor Vlasenko <viy@altlinux.ru> 12-alt1
- regenerated from template by package builder

* Wed Oct 08 2014 Igor Vlasenko <viy@altlinux.ru> 10-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 9-alt1
- initial import by package builder

